org.apache.ignite.internal.client.impl.connection

## Class GridConnectionIdleClosedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ignite.internal.client.GridClientException
      - - org.apache.ignite.internal.client.impl.connection.GridClientConnectionResetException
        - - org.apache.ignite.internal.client.impl.connection.GridConnectionIdleClosedException

All Implemented Interfaces:
  Serializable

    public class GridConnectionIdleClosedException
    extends GridClientConnectionResetException

This exception is thrown if client was closed by idle checker thread. This exception should be handled internally and never rethrown to user.

See Also:
  Serialized Form

### Method Summary

### Methods inherited from class org.apache.ignite.internal.client.GridClientException

`hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.1.0-incubating
Release Date | : May 20 2015